//////////////////////////////////////////////////////////////////////////////
// Copyright 2012 Matthew Egeler
// 									       
// Licensed under the Apache License, Version 2.0 (the "License");	       
// you may not use this file except in compliance with the License.	       
// You may obtain a copy of the License at				      
// 									       
//     http://www.apache.org/licenses/LICENSE-2.0			       
// 									       
// Unless required by applicable law or agreed to in writing, software      
// distributed under the License is distributed on an "AS IS" BASIS,	       
// WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied. 
// See the License for the specific language governing permissions and      
// limitations under the License.					      
//////////////////////////////////////////////////////////////////////////////

package com.wentam.openspace.game;

import com.wentam.graffiks.GraffiksView;
import android.content.Context;

import com.wentam.graffiks.material.*;
import com.wentam.graffiks.mesh.*;
import com.wentam.graffiks.GraffiksRenderer;
import com.wentam.graffiks.loader.ObjLoader;
import com.wentam.graffiks.obj.Obj;

import android.util.Log;

public class OpenSpaceView extends GraffiksView {
    public OpenSpaceView(Context c) {super(c);}

    private Obj dragon;
       
    // Do your initialization here.
    public void init(GraffiksRenderer renderer) {
	ObjLoader loader = new ObjLoader(renderer);
	dragon = loader.load("dragon/dragon.obj","dragon/dragon.mtl");
	dragon.setAngleDegrees(0f,0f,270f);
    }

    // update state of meshes
    public void update(float timeStep) {
	dragon.setAngleDegrees(dragon.getAngleDegreesX()+(0.05f*timeStep),0f,0f);
    }

    // draw
    public void draw() {
	dragon.draw();
    }
}